require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Dll_target.new( "oess_1/stdsn/prj.rb" ) {

		required_prj( "ace/dll.rb" )
		required_prj( "oess_1/defs/prj.rb" )
		required_prj( "oess_1/io/prj.rb" )

		Oess_1.setup_platform( self )

		target( "oess_stdsn" + Oess_1::VERSION )

		define( "OESS_1__STDSN__PRJ" )

		cpp_source( "ent.cpp" )
		cpp_source( "serializable.cpp" )
		cpp_source( "shptr.cpp" )
		cpp_source( "ent_std.cpp" )
	}
)
